gphoto2 (2.5.28-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:55:18 +0100

gphoto2 (2.5.28-2) unstable; urgency=medium

  * [b73a203] Work around lazy loading of GitHub release pages in watch file
  * [d6f585e] Update Standards-Version to 4.6.2 (no changes required)
  * [7e96380] Add my copyright for the packaging
  * [ff4539b] Build-Depend on libncurses-dev instead of the obsolete
    libncurses5-dev

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Jan 2023 18:48:54 +0100

gphoto2 (2.5.28-1) unstable; urgency=medium

  * [c546123] New upstream version 2.5.28
  * [94932a0] Refresh our patches
  * [02e0eeb] Update Standards-Version to 4.6.1 (no changes required)
  * [e1e2510] Switch to Debhelper compatibility level 13
  * [36359d6] Drop the superfluous GPM build dependency
  * [b93a23d] Remove version constraints unnecessary since buster

 -- Ferenc Wágner <wferi@debian.org>  Tue, 24 May 2022 14:36:13 +0200

gphoto2 (2.5.27-1) unstable; urgency=medium

  * [899c929] New upstream version 2.5.27
  * [198e761] Refresh our patches
  * [1705107] Upgrade Standards-Version to 4.5.1 (no changes required)
  * [282c57d] Remove Herbert Parentes Fortes Neto from Uploaders (MIA).
    Thanks for your work!

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 19:53:43 +0100

gphoto2 (2.5.26-1) unstable; urgency=medium

  * [f0f5078] Add debian/gbp.conf
  * [15b2f91] GitHub releases provide both tarballs and signatures now
  * [c647477] New upstream version 2.5.26
  * [1e0d22d] Refresh our patches
  * [7488dad] Stop force cleaning the po files.
    No idea what its purpose was, but it breaks source package generation
    with git-buildpackage.
  * [abff9da] Add myself to Uploaders
  * [5346bdf] Upgrade Standards-Version to 4.5.0 (no changes required)
  * [99c06b8] Enable rootless build
  * [9a1ec94] Declare Debhelper compatibility level the modern way
  * [c5b6bdb] PIE hardening is enabled by default on modern GCCs
  * [c84efc4] Drop superfluous override
  * [5badefe] Reenable the test suite
  * [b94be24] Enroll to basic Salsa CI
  * [ddad283] Update packaging list email address
  * [4046fdd] Make dh_missing strict
  * [7abc39b] The test log directory is removed by the clean-local target
  * [297515f] New patch: Skip test021, because it walks the entire filesystem
  * [bf3b8d2] Use the installed binary in the autopkgtest
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Sat, 24 Oct 2020 09:51:43 +0200

gphoto2 (2.5.23-1) experimental; urgency=medium

  * New upstream version 2.5.23
  * DH_LEVEL: 12
  * debian/control:
      - Bump Standards-Version
  * debian/copyright:
      - Update year
      - Add a po/Makefile.in.in file
  * debian/upstream:
      - *.asc file with gpg minimal key

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 13 Jun 2019 16:27:39 -0300

gphoto2 (2.5.20-3) unstable; urgency=medium

  * debian/tests/control:
      - Remove Depends field

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 21 Nov 2018 07:45:05 -0200

gphoto2 (2.5.20-2) unstable; urgency=medium

  * debian/rules:
      - override_dh_clean for files/dirs created by upstream tests
  * debian/tests/:
      - CI with upstream tests:
          - Update control file
          - Create upstream-test-suite.sh sh file.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 19 Nov 2018 15:19:21 -0200

gphoto2 (2.5.20-1) unstable; urgency=medium

  * New upstream version 2.5.20
  * debian/control:
      - Bump Standards-Version from 4.1.4 to 4.2.1
  * debian/rules:
      - Remove '--with autoreconf'

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 07 Nov 2018 16:08:04 -0200

gphoto2 (2.5.17-1) unstable; urgency=medium

  * New upstream version 2.5.17. (Closes: #897059)
  * debian/control:
      - Bump Standards-Version from 4.1.3 to 4.1.14
      - Update Homepage field
  * debian/copyright:
      - Fix year for Felipe Castro - po/eo.po.
  * debian/source:
      - Add options file. Ignore po directory changes.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 28 Apr 2018 08:55:09 -0300

gphoto2 (2.5.15-2) unstable; urgency=medium

  * DH_LEVEL: 11
  * debian/control:
      - Bump Standards-Version from 4.1.1 to 4.1.3
      - Update Vcs-* entries - salsa.debian.org
  * debian/coppyright:
      - Secure uri format - https
      - Update debian/* entry - date
  * Add debian/tests/control file

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 14 Feb 2018 10:11:46 -0200

gphoto2 (2.5.15-1) unstable; urgency=medium

  * New upstream version 2.5.15
  * debian/control:
      - Bump Standards-Version: from 4.0.0 to 4.1.1
  * debian/patches:
      - Remove 00-support_now_timevalue.patch. Upstream fix.
      - Remove fix_cross_compilation.patch. Upstream fix.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 04 Nov 2017 14:06:29 -0200

gphoto2 (2.5.14-1) unstable; urgency=medium

  * New upstream version 2.5.14
  * DH_LEVEL: 10
  * debian/control:
      - Bump Standards-Version: from 3.9.8 to 4.0.0
  * debian/copyright:
      - Update
  * debian/rules:
      - Set autoreconf
  * debian/patches:
      - (Closes: #858097) - fix cross compilation patch

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 19 Aug 2017 11:25:23 -0300

gphoto2 (2.5.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Update.
  * debian/patches:
      - Refresh 02-do_not_use_PATH_MAX.patch.
  * debian/rules:
      - Add CFLAGS and LDFLAGS on dh_auto_configure.
  * debian/watch:
      - Fix opts on github alternative.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 23 Nov 2016 11:10:38 -0200

gphoto2 (2.5.10-2) unstable; urgency=medium

  * debian/control:
      - Update my email.
      - Bump Standards-Version from 3.9.7 to 3.9.8.
  * debian/copyright:
      - Update my email.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 05 Nov 2016 14:48:16 -0200

gphoto2 (2.5.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright updated.
  * debian/patches:
      - 00-support_now_timevalue.patch and
        02-do_not_use_PATH_MAX.patch reviewed.
  * debian/watch:
      - signature for github.com commented(#). .asc file is not provided.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sat, 02 Apr 2016 10:33:51 -0300

gphoto2 (2.5.9-4) unstable; urgency=low

  * debian/control:
      - Vcs-* fields using https. Started in previous version.
      - Bump Standards-Version to 3.9.7
  * debian/copyright updated.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sat, 20 Feb 2016 10:01:08 -0200

gphoto2 (2.5.9-3) unstable; urgency=medium

  * gphoto2 was unable to find cdk.h. So there wasn't 'interactive config
    support'. The cdk.h path is fixed on libcdk5 (5.0.20160131-1). That's
    the why of this revision.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 18 Feb 2016 15:14:25 -0200

gphoto2 (2.5.9-2) unstable; urgency=low

  * debian/watch:
      - '?' added at the end of the github line.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 08 Dec 2015 14:52:36 -0200

gphoto2 (2.5.9-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright updated.
  * debian/watch:
      - using github too.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Wed, 25 Nov 2015 16:27:56 -0200

gphoto2 (2.5.8-3) unstable; urgency=medium

  * debian/upstream/signing-key.asc:
      - right key now.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 04 Oct 2015 11:06:09 -0300

gphoto2 (2.5.8-2) unstable; urgency=medium

  * debian/control:
      - PhotoTools team is the maintainer.
      - I am the uploader.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 11 Aug 2015 10:50:25 -0300

gphoto2 (2.5.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Vcs* fields updated.
  * debian/copyright: updated.
  * debian/watch: checking gpg signature.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Wed, 15 Jul 2015 17:00:40 -0300

gphoto2 (2.5.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 28 Apr 2015 12:38:56 -0300

gphoto2 (2.5.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
                   Added Vcs-* fields.
                   On Build-Depends: libgphoto2-dev (>=2.5.6)
                   On Package: gphoto2; removed gtkam from Suggests field.
                                        It's not maintained  currently.
  * debian/copyright updated.
  * debian/patches reviewed:
           00-support_now_timevalue.patch - gphoto2/actions.c was changed.
           02-do_not_use_PATH_MAX.patch   - gphoto2/main.c was changed.
  * debian/rules:
           override_dh_auto_test: dh_auto_test || true not needed. removed.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 10 Mar 2015 10:56:04 -0300

gphoto2 (2.5.5-1) experimental; urgency=medium

  * New upstream release.
  * New maintainer. Thanks to the previous maintainers for
    the good work. (Closes: #711829)
  * update debian/control:
           change Priority from extra to optional.
           update Maintainer field.
           remove Uploaders field.
           bump Standards-Version from 3.9.5 to 3.9.6.
           remove Vcs-* fields.
           on long Description, fixed the last line. provide -> provides
  * update debian/copyright
           the file was remade/reorganized.
           add some people to copyright field at Files: debian/* .
           update Copyright field at Files: * .
           add entry to po files.
           fixed License fields
  * update debian/patches:
           00-support_now_timevalue.patch - gphoto2/actions.c was changed.
           02-do_not_use_PATH_MAX.patch   - gphoto2/main.c was changed.
           added break_line_manpage.patch - fix lintian warning.
  * update debian/rules:
           DEB_LDFLAGS_MAINT_APPEND with '-Wl, --as-needed' only.
           DEB_BUILD_MAINT_OPTIONS added. no more 'blhc --all' messages.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Mon, 08 Dec 2014 16:23:21 -0200

gphoto2 (2.5.4-1) unstable; urgency=medium

  * Team upload.
  [ Jackson Doak ]
  * Add 02-do_not_use_PATH_MAX.patch, Fixes hurd ftbfs. Closes: #671545

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libgphoto2-dev build-dependency to >= 2.5.4
    - Refreshed all the patches
  * debian/rules: Install NEWS file as changelog, upstream ChangeLog file is
    not updated anymore

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Apr 2014 19:16:06 +0200

gphoto2 (2.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Bump libgphoto2-dev build-dependency to >= 2.5.2

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Feb 2014 19:01:10 +0100

gphoto2 (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Jan 2014 22:40:55 +0100

gphoto2 (2.5.2-1) experimental; urgency=low

  * Team upload.
  * New upstream version (Closes: #712784)
    - Bump libgphoto2 build-dependency to 2.5.0
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/control: Use canonical URL for Vcs-* fields
  * debian/rules, debian/control: Use autotools_dev to update the
    config.{guess,sub} files
  * debian/rules: Make tests failure not fatal
  * Bump debhelper to 9 so we get hardening flags for free
  * debian/rules: Explicitly enable aalib support
  * debian/control: Adjust the short description to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Jan 2014 02:28:47 +0100

gphoto2 (2.4.14-1) unstable; urgency=low

  * New upstream version
  * Bump dependency on libgphoto2 to 2.4.14
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Wed, 18 Apr 2012 23:21:40 +0200

gphoto2 (2.4.11-2) unstable; urgency=low

  * Acknowledge NMU.
  * Build-Depend on libjpeg-dev (Closes: #641999)
  * Support 'now' for time config options, thanks to Arnold
    Metselaar (Closes: #618651)

 -- David Paleino <dapal@debian.org>  Sun, 25 Sep 2011 00:09:58 +0200

gphoto2 (2.4.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on libreadline-dev only (Closes: #553775)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 14 Aug 2011 20:00:17 +0100

gphoto2 (2.4.11-1) unstable; urgency=low

  * New upstream version
  * Bump requirement on libgphoto2 to 2.4.11
  * Standards-Version bump to 3.9.2, no changes needed
  * 01-handle_EACCES.patch removed, merged upstream

 -- David Paleino <dapal@debian.org>  Mon, 18 Apr 2011 19:43:59 +0200

gphoto2 (2.4.10-2) unstable; urgency=low

  * Upload to unstable
  * Removing KiBi from Uploaders, as requested. Thanks for all your
    previous work!

 -- David Paleino <dapal@debian.org>  Tue, 01 Mar 2011 09:27:59 +0100

gphoto2 (2.4.10-1) experimental; urgency=low

  * New upstream version
  * Added myself to Uploaders
  * Use "3.0 (quilt)" source format, drop all quilt machinery
  * Use overrides to minimize debian/rules even more
  * Bump Standards-Version to 3.9.1, no changes needed
  * Drop usage of type-handling -- use architecture wildcard instead
  * debian/patches/01-handle_EACCES.patch refreshed
  * debian/patches/20_german_translation removed, merged upstream
  * Bump requirement on libgphoto2-2 to >= 2.4.10
  * Remove duplicated Section field

 -- David Paleino <dapal@debian.org>  Sun, 14 Nov 2010 19:26:33 +0100

gphoto2 (2.4.5-3) unstable; urgency=low

  * Warn and exit with an error if files couldn't be written to
    disk (Closes: #512883)
  * Added myself to Uploaders

 -- David Paleino <dapal@debian.org>  Sun, 14 Nov 2010 17:14:36 +0100

gphoto2 (2.4.5-2) unstable; urgency=low

  * debian/control:
     - Actually version the B-D on libgphoto2-2-dev, since 2.4.5 is now
       needed (Closes: #523587).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Apr 2009 14:53:54 +0200

gphoto2 (2.4.5-1) unstable; urgency=low

  * New upstream release (Closes: #483807).
  * Adopt the package within pkg-phototools:
     - Set the Maintainer to the group.
     - Add Frederic Peters and myself as Uploaders.
     - Add Vcs-{Git,Browser} fields accordingly.
  * Add a Homepage field.
  * Add a watch file to monitor new upstream releases.
  * Patches:
     - Switch from dpatch to quilt.
     - Clean up debian/rules, which already uses the include.
     - Remove 10_getenv_home_copying.dpatch (already disabled), merged
       upstream.
     - Refresh 20_german_translation (and drop extension).
     - Drop 30_cdk_include.dpatch, no longer relevant: the only used cdk
       include is <cdk/cdk.h>, directly available under /usr/include.
  * debian/{compat,control}:
     - Switch to debhelper 7.
  * debian/rules:
     - Remove strange DEB_HOST_ARCH_OS tweaking. It might have been needed
       long ago, but it seems unlikely that it's still of some use now.
     - Remove CFLAGS handling. dpkg is supposed to do that now.
     - Remove useless comments, whitespaces.
     - Remove useless --with-cdk-prefix from ./configure's flags.
     - Drop the dh_makeshlibs call, there's no library here.
     - Various tiny cleanup.
     - And finally switch to minimal debhelper Makefile, plus patch
       handling, and po/*.gmo removal.
     - Additionally set LDFLAGS="-Wl,-z,defs -Wl,--as-needed" when auto
       configuring to avoid some extra dependencies (libX11, libslang, and
       libsub).
  * debian/control:
     - Add ${misc:Depends}.
     - Fix build-depends-on-1-revision on libgphoto2-2-dev by removing
       the version completely, since it's satisfied in stable.
     - Bump Standards-Version from 3.7.2 to 3.8.1 (no changes needed).
     - Add an explicit B-D on libaa1-dev since <aalib.h> is included
       unconditionally.
  * debian/changelog:
     - Whitespace cleanup.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Apr 2009 02:18:11 +0200

gphoto2 (2.4.0-1) unstable; urgency=low

  * New upstream release.
    * fixed --delete-file parameter name in manpage (closes: #345689)
  * debian/control{,.in}: removed control.in generation via sed, using
    not+linux-gnu from typehandling instead.
  * moved all patches to dpatch handling.
  * debian/patches/10_getenv_home_copying.dpatch: applied upstream.

 -- Frederic Peters <fpeters@debian.org>  Sun, 30 Sep 2007 13:24:30 +0200

gphoto2 (2.3.1-5) unstable; urgency=low

  * debian/rules: don't run make clean when Makefile is missing.

 -- Frederic Peters <fpeters@debian.org>  Sat, 21 Jul 2007 12:46:04 +0200

gphoto2 (2.3.1-4) unstable; urgency=low

  * debian/patches/10_getenv_home_copying.dpatch: updated as applied by
    upstream.
  * debian/rules: don't ignore make clean potential errors

 -- Frederic Peters <fpeters@debian.org>  Sat, 21 Jul 2007 12:42:43 +0200

gphoto2 (2.3.1-3) unstable; urgency=low

  * debian/rules: added dpatch support
  * debian/patches/10_getenv_home_copying.dpatch: don't copy more characters
    from $HOME than possible in buffer (closes: #433794)

 -- Frederic Peters <fpeters@debian.org>  Thu, 19 Jul 2007 15:46:54 +0200

gphoto2 (2.3.1-2) unstable; urgency=low

  * Upload to unstable.
    * debian/control(.in): build-depends on libgphoto2-dev >= 2.3; this should
      fix general FTBFS (closes: #422384)

 -- Frederic Peters <fpeters@debian.org>  Sat, 05 May 2007 21:35:09 +0200

gphoto2 (2.3.1-1) experimental; urgency=low

  * New upstream release. (closes: #407048)
    * upload to experimental.

 -- Frederic Peters <fpeters@debian.org>  Tue, 16 Jan 2007 12:01:31 +0100

gphoto2 (2.2.0-3) unstable; urgency=low

  * debian/control, debian/rules: use type-handling to not build-depends on
    libgpmg1-dev on kFreeBSD (closes: #369579)

 -- Frederic Peters <fpeters@debian.org>  Mon, 19 Jun 2006 10:21:32 +0200

gphoto2 (2.2.0-2) unstable; urgency=low

  * debian/control: added libpopt-dev to Build-Depends. (closes: #374294)

 -- Frederic Peters <fpeters@debian.org>  Sun, 18 Jun 2006 15:22:58 +0200

gphoto2 (2.2.0-1) unstable; urgency=low

  * New upstream release.
    * upload to unstable

 -- Frederic Peters <fpeters@debian.org>  Sun, 18 Jun 2006 09:58:35 +0200

gphoto2 (2.1.99-1) experimental; urgency=low

  * New (snapshot) upstream release. (closes: #355331)
  * debian/control: build-depends against libgphoto2-2-dev >= 2.1.99
  * debian/control: build-depends against libcdk5-dev. (closes: #338704)
  * Acknowledge NMU. (closes: #326353)
  * po/de.po: German translation fix. (closes: #313768)
  * configure.ac, configure: fixed to look for appropriate libcdk

 -- Frederic Peters <fpeters@debian.org>  Sun,  5 Mar 2006 10:33:26 +0100

gphoto2 (2.1.6-2.1) unstable; urgency=low

  * NMU
  * Rebuild against libreadline5-dev (Closes: #326353)

 -- Don Armstrong <don@debian.org>  Fri, 23 Dec 2005 17:12:55 -0800

gphoto2 (2.1.6-2) unstable; urgency=low

  * Rebuilt with new libexif.

 -- Frederic Peters <fpeters@debian.org>  Wed, 27 Jul 2005 17:28:15 +0200

gphoto2 (2.1.6-1) unstable; urgency=low

  * New upstream release. (closes: #316709)

 -- Frederic Peters <fpeters@debian.org>  Wed,  6 Jul 2005 11:31:23 +0200

gphoto2 (2.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 21 Dec 2004 16:21:42 +0100

gphoto2 (2.1.4-4) unstable; urgency=low

  * Adopted package (closes: #272681)
  * debian/control: ~sync description with libgphoto2

 -- Frederic Peters <fpeters@debian.org>  Mon, 27 Sep 2004 16:24:46 +0200

gphoto2 (2.1.4-3) unstable; urgency=low

  * Rebuilt against libexif10 (compatibility pacth from CVS).

 -- christophe barbe <christophe@debian.org>  Fri, 28 May 2004 16:57:57 -0400

gphoto2 (2.1.4-2) unstable; urgency=low

  * Changed debian/rules to ease debug build (Closes: #214163).
  * Fixed tab completion code (Closes: #231857).

 -- christophe barbe <christophe@debian.org>  Sun, 15 Feb 2004 19:36:36 -0500

gphoto2 (2.1.4-1) unstable; urgency=low

  * New upstream release.

 -- christophe barbe <christophe@debian.org>  Mon, 19 Jan 2004 20:23:12 -0500

gphoto2 (2.1.3-2) unstable; urgency=low

  * Fixed man page (Closes: #225490)
    patch from Terran Melconian <terran@consistent.org>.

 -- christophe barbe <christophe@debian.org>  Sun,  4 Jan 2004 09:07:43 -0500

gphoto2 (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * Fix rmdir and mkdir commands (swap-rmdir-mkdir.patch from CVS).

 -- christophe barbe <christophe@debian.org>  Mon, 27 Oct 2003 18:21:46 -0500

gphoto2 (2.1.2-1) unstable; urgency=low

  * New upstream release.

 -- christophe barbe <christophe@debian.org>  Mon, 11 Aug 2003 20:37:07 -0400

gphoto2 (2.1.1-4) unstable; urgency=low

  * Move DH_COMPAT in debian/compat.
  * Bump Standards-Version up to 3.5.9.

 -- christophe barbe <christophe@debian.org>  Thu,  3 Apr 2003 20:38:53 -0500

gphoto2 (2.1.1-3) unstable; urgency=low

  * Rebuild against nex libexif.

 -- christophe barbe <christophe@debian.org>  Mon, 20 Jan 2003 17:28:30 -0500

gphoto2 (2.1.1-2) unstable; urgency=low

  * Added version to libgphoto2-2-dev dependency (Closes: #171492).

 -- christophe barbe <christophe@debian.org>  Mon,  2 Dec 2002 20:31:04 -0500

gphoto2 (2.1.1-1) unstable; urgency=low

  * New upstream release.
    libgphoto2 is now shipped separately, this package contains only the
     command-line interface.
    Build against the latest libexif (Closes: #170292).
    Smarter libgphoto2 filesystem cache (Closes: #154523).

 -- christophe barbe <christophe@debian.org>  Sun,  1 Dec 2002 18:42:15 -0500

gphoto2 (2.1.0-8) unstable; urgency=low

  * Detect hotplug inferior clones (usbmgr ...)
    and then skip the hotplug configuration (closes: #154928).

 -- christophe barbe <christophe@debian.org>  Thu,  1 Aug 2002 12:32:37 -0400

gphoto2 (2.1.0-7) unstable; urgency=low

  * Suggest gtkam and hotplug (a recent one) (closes: #154450).

 -- christophe barbe <christophe@debian.org>  Sat, 27 Jul 2002 14:26:20 -0400

gphoto2 (2.1.0-6) unstable; urgency=low

  * Adding basic hotplug support (closes: #147432).
  * Built against libusb 0.1.6a.

 -- christophe barbe <christophe@debian.org>  Tue, 23 Jul 2002 21:55:50 -0400

gphoto2 (2.1.0-5) unstable; urgency=low

  * Added gs in Build-Depends.

 -- christophe barbe <christophe@debian.org>  Mon, 15 Jul 2002 08:21:37 -0400

gphoto2 (2.1.0-4) unstable; urgency=low

  * Added transfig build depend for fig2dev (closes: #152960).

 -- christophe barbe <christophe@debian.org>  Sun, 14 Jul 2002 22:45:03 -0400

gphoto2 (2.1.0-3) unstable; urgency=low

  * gphoto2-doc in doc section.

 -- christophe barbe <christophe@debian.org>  Sun, 14 Jul 2002 09:41:22 -0400

gphoto2 (2.1.0-2) unstable; urgency=low

  * Fix missing Build-Depends (closes: #152901).

 -- christophe barbe <christophe@debian.org>  Sun, 14 Jul 2002 08:24:45 -0400

gphoto2 (2.1.0-1) unstable; urgency=low

  * New Upstream (closes: #138747, #146360).

 -- christophe barbe <christophe@debian.org>  Tue, 25 Jun 2002 10:57:57 -0400

gphoto2 (2.0final-6) unstable; urgency=low

  * Remove serial locking until I find a proper solution (closes: #145609).
    This package is like -4.

 -- christophe barbe <christophe@debian.org>  Fri,  3 May 2002 09:49:36 -0400

gphoto2 (2.0final-5) unstable; urgency=low

  * Add liblockdev1-dev build-depend to provide a locking mechanism
    for serial ports.
  * Update Maintener e-mail address.

 -- christophe barbe <christophe@debian.org>  Wed, 24 Apr 2002 18:39:16 -0400

gphoto2 (2.0final-4) unstable; urgency=high

  * Fix gphoto2-dev pependencies (closes: #142673).

 -- christophe barbe <christophe.barbe@ufies.org>  Sat, 13 Apr 2002 10:54:30 -0400

gphoto2 (2.0final-3) unstable; urgency=low

  * Remove chrpath use (closes: #138341)
    the gphoto2 rpath was caused by a aalib bug which is fixes in new package.
  * Remove the use of aalib to avoid xlibs dependency
    (until aalib upstream dlopen x libs).

 -- christophe barbe <christophe.barbe@ufies.org>  Thu, 14 Mar 2002 15:53:30 -0500

gphoto2 (2.0final-2) unstable; urgency=low

  * Build against new libusb package.
  * Patch to fix 'Canon S10 - could not lock camera keys' bug (closes: #137265).
  * Add versioned shlib info (closes: #137309).

 -- christophe barbe <christophe.barbe@ufies.org>  Sat,  9 Mar 2002 08:10:24 -0500

gphoto2 (2.0final-1) unstable; urgency=low

  * New upstream release.
  * upstream Manpages.

 -- christophe barbe <christophe.barbe@ufies.org>  Mon, 25 Feb 2002 10:00:57 -0500

gphoto2 (2.0beta5-2) unstable; urgency=low

  * Depends libusb >= 0.1.5 (closes: #133731).
  * Fixed missing .la files in -dev package.
  * Add doc-base support.

 -- christophe barbe <christophe.barbe@ufies.org>  Tue, 12 Feb 2002 15:15:57 -0500

gphoto2 (2.0beta5-1) unstable; urgency=low

  * new upstream release.
  * undocumented gphoto2 manpage (closes: #116152).
  * new upstream doesn't corrupt data (at least silently) (closes: #131368).
  * depend on libusb > 0.1.5.

 -- christophe barbe <christophe.barbe@ufies.org>  Mon,  11 Feb 2002 10:54:42 -0500

gphoto2 (2.0beta3-0.5) unstable; urgency=low

  * Move gphoto2portConf.sh and libgphoto2.pc in gphoto2-dev.
  * Don't use undocommented manpage without prior bug report.
  * Use /usr/share/doc/gphoto2 sirectory.

 -- christophe barbe <christophe.barbe@ufies.org>  Mon, 28 Jan 2002 10:43:35 -0500

gphoto2 (2.0beta3-0.4) unstable; urgency=low

  * Build against libusb0 0.1.4-2.

 -- christophe barbe <christophe.barbe@ufies.org>  Sun, 27 Jan 2002 22:21:25 -0500

gphoto2 (2.0beta3-0.3) unstable; urgency=low

  * Add shlibs file.
  * Move .so files to the dev package.
  * Close old bugs (closes: #169649, #121246, #127763, #123397, #123399).

 -- christophe barbe <christophe.barbe@ufies.org>  Sat, 26 Jan 2002 22:57:38 -0500

gphoto2 (2.0beta3-0.2) unstable; urgency=low

  * Removed unnecessary postinst script.
  * Close ITA (closes: #129352).

 -- christophe barbe <christophe.barbe@ufies.org>  Fri, 18 Jan 2002 09:22:58 -0500

gphoto2 (2.0beta3-0.1) unstable; urgency=low

  * New-maintainer upload.
  * New upstream.

 -- christophe barbe <christophe.barbe@ufies.org>  Mon,  14 Jan 2002 23:23:00 +0100

gphoto2 (2.0beta2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Again, recompiled to fix USB support (closes: #122780, #121402).
  * Add libtool to Build-Depends (closes: #117004).
  * Made a small fix to postinst: "configure*)" -> "configure)".

 -- Gregor Hoffleit <flight@debian.org>  Sun,  9 Dec 2001 23:23:00 +0100

gphoto2 (2.0beta2-3.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval.
  * Recompiled to include the camera libraries (fixes: #117716, #118744).

 -- Gregor Hoffleit <flight@debian.org>  Wed, 14 Nov 2001 19:26:18 +0100

gphoto2 (2.0beta2-3) unstable; urgency=low

  * Adopted (Ole still in the queue, forgot to send the advocate mail, just
  sent it in today)
  * Added the 2.0beta1-6 changelog entry (Ole forgot to add it)
  * Manually added a cp to debian/rules for libgphoto2 libraries (should
  check Makefile 'install' targe)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 27 Oct 2001 02:12:06 +0200

gphoto2 (2.0beta2-2) unstable; urgency=low

  * Lose automake, libc6-dev and libglib1.2-dev dependencies.

 -- Ole Aamot <oka@diff.ping.uio.no>  Mon, 22 Oct 2001 11:23:51 +0200

gphoto2 (2.0beta2-1) unstable; urgency=low

  * Upgrade to upstream version (Closes: #114197)
  * Obsolete libgphoto2port and libgphoto2port-dev
  * Build from original tarball (Closes: #105573)

 -- Ole Aamot <oka@diff.ping.uio.no>  Wed, 10 Oct 2001 15:30:26 +0200

gphoto2 (2.0beta1-6) unstable; urgency=low

  * Adopted by maintainer

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Aug 2001 02:45:03 +0200

gphoto2 (2.0beta1-5) unstable; urgency=low

  * build-depends: Change "libgphoto2port" to "libgphoto2port-dev" and add libglib1.2-dev (Closes: #104375)

 -- Ole Aamot <oka@ping.uio.no>  Thu, 12 Jul 2001 11:49:24 +0200

gphoto2 (2.0beta1-4) unstable; urgency=low

  * Adopted by maintainer (Ole is in the NM queue) (Closes: #97490, #93502)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 11 Jun 2001 20:31:04 +0200

gphoto2 (2.0beta1-3) unstable; urgency=low

  * Fix lintian errors.

 -- Ole Aamot <oka@diff.ping.uio.no>  Sun, 10 Jun 2001 12:43:06 +0200

gphoto2 (2.0beta1-2) unstable; urgency=low

  * Adopted by new maitainer (Ole is on te NM queue)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  5 Jun 2001 14:51:12 +0200

gphoto2 (2.0beta1-1) unstable; urgency=low

  * Initial Debian packaging of gphoto2 2.0beta1.

 -- Ole Aamot <oka@diff.ping.uio.no>  Mon,  4 Jun 2001 16:22:38 +0200
